#ifndef user_H
#define user_H

#include <stdint.h>
/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

#define DEVICE_ID	0x27
#define ADDR_MEM	0x7FF
#define ADDR_DFL	0x23



/******************************************************************************/
/* Local Variables							      */
/******************************************************************************/
typedef struct {
    uint8_t tris;               // 0x01
    uint8_t lat;                // 0x02
    uint8_t port;               // 0x03
    uint8_t pullup;             // 0x04
    uint8_t id;                 // 0x20
    uint8_t temperature[4];     // 0x21
    uint8_t address;
}registers_t;

typedef struct {
    union {
        uint16_t data;
        struct {
            uint8_t data_l;
            uint8_t data_h;
        };
    };
    uint8_t index;
}adc_t;

extern registers_t registers;
extern adc_t adc;
/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

void InitApp(void);         /* I/O and Peripheral Initialization */
void InitAddress(void);		/* Set the device ID at startup */

void spiReadWord(uint8_t *data);

void update(void);

#endif
